Toggles a voucher feature on or off
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | Tracking number that identifies the card to be returned |
| featureName | String | 1-255 characters | ✓ | name of the feature to be enabled/disabled. Possible values: ENABLE_MAGSTRIPE ENABLE_INTERNATIONAL OPT_OUT_ABU OPT_OUT_VAU OPT_IN_VAU DAILY_PINLESS_NFC_DISABLED ATM_ENABLED NFC_ENABLED POS_ENABLED ECOM_ENABLED |
| featureStatus | Boolean | ✓ | Status to be applied. (True/False) | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | 1-255 characters | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0" encoding="UTF-8"?><methodCall>
<methodName>ToggleVoucherFeature</methodName>
<params>
<param>
<value>
<string>TID</string>
</value>
</param>
<param>
<value>
<string>b12b3a45-f678-4f98-b076-a54c1a32ccd1</string>
</value>
</param>
<param>
<value>
<string>443218987654321</string>
</value>
</param>
<param>
<value>
<string>PHYSICAL_CARD_DISABLED</string>
</value>
</param>
<param>
<value>
<int>0</int>
</value>
</param>
<param>
<value>
<string>4f012b3a3d456d2ba789b8dcadf2ccf9</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20230721T23:54:28</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>CHECKSUM</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
